<template functional>
  <div
    :ref="data.ref"
    class="flex justify-start"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <div class="-mt-2 mr-6 text-right lg:mr-10" style="min-width: 3rem">
      <span class="font-medium text-6xl text-brown-400">
        {{ props.number }}
      </span>
    </div>
    <div class="flex flex-col">
      <h3 v-if="props.title" class="m-0 mt-4">
        {{ props.title }}
      </h3>
      <div class="markdown" v-html="props.text" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'NumberedItem',
  props: {
    number: { type: Number, required: true },
    title: { type: String, default: undefined },
    text: { type: String, required: true },
  },
};
</script>
